import React from 'react';
import { useTranslation } from 'react-i18next';

function SearchBarWithTwoTab({
  selectedOption,
  handleChangeSubsetTab,
  searchInput,
  handleSearchChange,
  handleSearch,
  isParticipatingAlbum,
}) {
  const { t, i18n } = useTranslation();

  return (
    <div className='flex items-center justify-center'>
      <div className='search-bar rounded overflow-hidden flex items-center border'>
        <div className='bg-white flex items-center'>
          <select
            id='my-select'
            className='search-bar-select bg-white h-9 px-3 focus:outline-none'
            value={selectedOption}
            onChange={handleChangeSubsetTab}>
            <option value='course'>{t('课程')}</option>
            {!isParticipatingAlbum && (
              <option value='album'>{t('专辑')}</option>
            )}
          </select>
          <div className='border-r h-6 mx-2'></div>
          <input
            type='text'
            placeholder={
              selectedOption === 'course' ? t('搜索课程') : t('搜索专辑')
            }
            value={searchInput}
            onChange={handleSearchChange}
            className='px-2 py-1 mr-2 flex-grow md:min-w-[300px] md:flex-grow-0 bg-transparent  focus:outline-none w-full'
          />
        </div>
      </div>
      <button
        className='bg-blue-500 hover:bg-blue-400 text-white font-bold py-2 px-3 ml-2 rounded w-20'
        onClick={handleSearch}>
        <span className='text-white font-medium'>{t('搜索')}</span>
      </button>
      <button
        className='bg-blue-500 hover:bg-blue-400 text-white font-bold py-2 px-3 ml-2 rounded w-20'
        onClick={handleSearch}>
        <span className='text-white font-medium'>{t('刷新')}</span>
      </button>
    </div>
  );
}

export default SearchBarWithTwoTab;
