import i18n from 'i18next';
import { initReactI18next } from 'react-i18next';
import enTranslation from './en.json';
import zhTranslation from './zh.json';
import ruTranslation from './ru.json';
import esTranslation from './es.json';

const resources = {
  en: enTranslation,
  zh: zhTranslation,
  ru: ruTranslation,
  es: esTranslation,
};

i18n
  .use(initReactI18next) // passes i18n down to react-i18next
  .init({
    resources,
    lng: 'zh',
    interpolation: {
      escapeValue: false, // react already safes from xss
    },
  });

export default i18n;
